Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226167 - python-calcephpy: FTBFS in Fedora rawhide/f39
Summary: python-calcephpy: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-calcephpy
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:12 UTC by Fedora Release Engineering
Modified: 2023-09-09 08:34 UTC (History)
3 users (show)

Fixed In Version: python-calcephpy-3.5.3-2.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-09 08:34:34 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:12 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:12 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:12 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 19:12:32 UTC
python-calcephpy failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103677944


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-calcephpy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-calcephpy will be orphaned. Before branching of Fedora 40,
python-calcephpy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:12:37 UTC
Created attachment 1978897 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 19:12:41 UTC
Created attachment 1978898 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:12:43 UTC
Created attachment 1978899 [details]
state.log

Comment 4 Mattia Verga 2023-07-26 16:26:34 UTC
Waiting for a fix from upstream for building with cython 3.0.0. Otherwise I'll change the BR to cython <= 0.29.

Comment 5 Fedora Release Engineering 2023-08-16 08:01:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Fedora Update System 2023-09-09 08:32:53 UTC
FEDORA-2023-0a872f5227 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0a872f5227

Comment 7 Fedora Update System 2023-09-09 08:34:34 UTC
FEDORA-2023-0a872f5227 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.